# -*- coding: utf-8 -*-
# vim:fenc=utf-8
#
# Copyright (C) 2014 Xavier Bruhiere
#
# Distributed under terms of the MIT license.


import os
import sh


def clean_wercker(target):
    ''' Remove wercker specific stuff '''
    sh.rm('-r', os.path.join(target, 'source/articles'))

    data_path = os.path.join(target, 'data')
    if not os.path.exists(data_path):
        sh.mkdir(data_path)


def copy_data(source, target):
    '''
    Copy doc files and configuration to the middleman project
    '''
    sh.cp(os.path.join(source, 'project.yml'),
          os.path.join(target, 'data'))
    #TODO Patch this file to add the author html
    sh.cp(os.path.join(source, 'index.html.md'),
          os.path.join(target, 'source/index.html.md'))
    #sh.cp(os.path.join(source, 'images/*'),
          #os.path.join(target, 'source/images'))
    #TODO Walk the files tree to add footers and headers
    sh.cp('-r', os.path.join(source, 'articles'),
          os.path.join(target, 'source/articles'))


def clone(git_url, target_path):
    if not os.path.exists(target_path):
        print('cloning backbone repository: {} to {}'
              .format(git_url, target_path))
        sh.git("clone", git_url, target_path, depth=1, branch='master')
